From 873cf121f1472ec2288b4722f45829cf75d2e000 Mon Sep 17 00:00:00 2001
From: Lukas Holecek <hluk@email.cz>
Date: Sun, 2 Feb 2020 13:56:41 +0100
Subject: [PATCH] v3.10.0

---
 shared/com.github.hluk.copyq.appdata.xml | 1 +
 src/item/itemwidget.h                    | 2 +-
 utils/bump_version.sh                    | 4 ++--
 version.cmake                            | 2 +-
 4 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/shared/com.github.hluk.copyq.appdata.xml b/shared/com.github.hluk.copyq.appdata.xml
index a03bd3110..ab51cbe38 100644
--- a/shared/com.github.hluk.copyq.appdata.xml
+++ b/shared/com.github.hluk.copyq.appdata.xml
@@ -26,6 +26,7 @@
     <url type="translate">https://hosted.weblate.org/engage/copyq/</url>
 
     <releases>
+        <release version="3.10.0" date="2020-02-02" />
         <release version="3.9.3" date="2019-11-16" />
         <release version="3.9.2" date="2019-08-25" />
         <release version="3.9.1" date="2019-08-18" />
diff --git a/src/item/itemwidget.h b/src/item/itemwidget.h
index 78f9967f9..b3b44ed9a 100644
--- a/src/item/itemwidget.h
+++ b/src/item/itemwidget.h
@@ -49,7 +49,7 @@ using ItemSaverPtr = std::shared_ptr<ItemSaverInterface>;
 class ItemScriptableFactoryInterface;
 using ItemScriptableFactoryPtr = std::shared_ptr<ItemScriptableFactoryInterface>;
 
-#define COPYQ_PLUGIN_ITEM_LOADER_ID "com.github.hluk.copyq.itemloader/3.9.3"
+#define COPYQ_PLUGIN_ITEM_LOADER_ID "com.github.hluk.copyq.itemloader/3.10.0"
 
 /**
  * Handles item in list.
diff --git a/utils/bump_version.sh b/utils/bump_version.sh
index 331b88e04..94aad6053 100755
--- a/utils/bump_version.sh
+++ b/utils/bump_version.sh
@@ -21,7 +21,7 @@ itemwidget_file=src/item/itemwidget.h
 changes_file=CHANGES
 
 check_version_format() {
-    if ! grep -q '^[0-9]\.[0-9]\.[0-9]$' <<< "$version"; then
+    if ! grep -q '^[0-9]\+\.[0-9]\+\.[0-9]\+$' <<< "$version"; then
         echo "Expected version format is MAJOR.MINOR.PATCH"
         exit 1
     fi
@@ -39,7 +39,7 @@ fix_file() {
     file=$1
     format=$2
 
-    pattern=$(printf "$format" '[0-9]\.[0-9]\.[0-9]')
+    pattern=$(printf "$format" '[0-9]\+\.[0-9]\+\.[0-9]\+')
     text=$(printf "$format" "$version")
     sed -i "s|$pattern|$text|" "$file"
 
diff --git a/version.cmake b/version.cmake
index 1fe745694..073828d49 100644
--- a/version.cmake
+++ b/version.cmake
@@ -1,4 +1,4 @@
-set(copyq_version "v3.9.3")
+set(copyq_version "v3.10.0")
 
 find_package(Git)
 if(GIT_FOUND)
-- 
GitLab